/* BASE */

html {
    direction: rtl;
    box-sizing: border-box;
    font-size: 62.5%;
}

*,
*::after,
*::before {
    box-sizing: inherit;
    text-decoration: none;
    list-style: none;
    -webkit-tap-highlight-color: transparent;
}

body {
    font-size: 1.5rem;
    line-height: 1.5;
    font-family: 'Yekan', sans-serif;
    background: url('../images/header_bg.jpg') no-repeat;
    background-size: cover;
}

/* PACKAGE */

#packages {
    padding-top: 5rem;
}

.packages__wrapper {
    position: inherit;
}

.packages {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 2rem;
    transition: 0.26s ease-in-out;
}

.package {
    font-family: 'Lalezar';
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 20rem;
    height: 20rem;
    font-size: 3rem;
    flex-grow: 1;
    border-radius: 3.7rem;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    border: 0.2px solid #8C8C8C;
    backdrop-filter: blur(5.5px);
    color: #fff;
    cursor: pointer;

    &::before {
        position: absolute;
        content: '';
        inset: 0;
        border-radius: inherit;
        z-index: -1;
        background: linear-gradient(to top left, transparent 0%, transparent 85%, #fff 100%);
        mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
        mask-composite: exclude;
        padding: 0.2rem;
    }
}

.packages__brands {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    flex-grow: 1;
    width: 20rem;
    gap: 2rem;
}

.packages__brand {
    width: 7rem;
    height: 7rem;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(5.5px);
    border: 1px solid #8C8C8C;
    border-radius: 5rem;

    &::before {
        position: absolute;
        content: '';
        inset: 0;
        border-radius: inherit;
        z-index: -1;
        background: linear-gradient(to top left,
                transparent 0%,
                transparent 85%,
                #fff 100%);
        mask: linear-gradient(#fff 0 0) content-box,
            linear-gradient(#fff 0 0);
        mask-composite: exclude;
        padding: 0.2rem;
    }
}

.btn {
    font-family: 'Lalezar';
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    border-radius: 5rem;
    font-size: 3rem;
    padding: 1rem;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(5.5px);
    border: 1px solid #8C8C8C;
    color: #fff;
    margin-top: 2rem;

    &::before {
        position: absolute;
        content: '';
        inset: 0;
        border-radius: inherit;
        z-index: -1;
        background: linear-gradient(to top left,
                transparent 0%,
                transparent 85%,
                #fff 100%);
        mask: linear-gradient(#fff 0 0) content-box,
            linear-gradient(#fff 0 0);
        mask-composite: exclude;
        padding: 0.2rem;
    }
}

.packages__content {
    opacity: 0;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    height: fit-content;
    border-radius: 3.7rem;
    padding: 2rem;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(5.5px);
    border: 1px solid #8C8C8C;
    color: #fff;

    &::before {
        position: absolute;
        content: '';
        inset: 0;
        border-radius: inherit;
        z-index: -1;
        background: linear-gradient(to top left,
                transparent 0%,
                transparent 85%,
                #fff 100%);
        mask: linear-gradient(#fff 0 0) content-box,
            linear-gradient(#fff 0 0);
        mask-composite: exclude;
        padding: 0.2rem;
    }
}

.packages__title {
    font-family: 'Lalezar';
    text-align: center;
    font-size: 3rem;
    margin: 1rem 0;
}

.packages__item {
    margin: 2.5rem 0;
    display: flex;
    align-items: center;
    gap: 1rem;
}

.packages__price {
    font-family: 'Lalezar';
    text-align: center;
    font-size: 3rem;
    margin: 1rem 0;
}

.package__btn {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 7rem;
    height: 7rem;
    border-radius: 5rem;
    background: linear-gradient(to top left,
            transparent 0%,
            transparent 85%,
            #fff 100%);
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(5px);
    border: 1px solid rgba(255, 255, 255, 0.3);
    margin-top: 1rem;
    margin-right: auto;
    fill: #fff;
    opacity: 0;
}

.package__icon {
    width: 3rem;
    height: 3rem;
}

.icon_wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 3rem;
    height: 3rem;
    border: 0.1rem solid #8c8c8c;
    border-radius: 5rem;
    padding: 0.5rem;
}

.packages__icon {
    width: 2rem;
    height: 2rem;
    fill: #fff;
}

.active {
    padding-top: 5rem;
    transition: all 0.5s ease-in-out;
}